use std::{thread, time};

mod db;

fn main() -> Result<(), Box<dyn std::error::Error>> {
    let db_path = std::env::args()
        .nth(1)
        .ok_or("Pass path to sqlite DB in first parameter.")?;
    let mut db_conn: db::DbHandle = db::DbHandle::new(db_path)?;

    loop {
        let time_until_next_action = db_conn.get_time_until_next_action()?;
        let sleep_duration = std::cmp::min(
            time::Duration::from_secs(60),
            std::cmp::max(time_until_next_action, time::Duration::from_secs(300)),
        );
        println!("Sleeping for {} seconds.", sleep_duration.as_secs());
        thread::sleep(sleep_duration);
    }
}
